%global srcname nose2

Name:           python-%{srcname}
Version:        0.11.0
Release:        1
Summary:        Next generation of nicer testing for Python

License:        BSD-2-Clause
URL:            https://nose2.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/1f/24/d4d16329a7c58d342a0345bbcd1dc81321fb7a1de41dc3361a48f2381e0e/nose2-%{version}.tar.gz

Patch0:   backport-Remove-install_requires-dependency-on-coverage.patch

BuildArch:      noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-six
BuildRequires: python%{python3_pkgversion}-mock
BuildRequires: python%{python3_pkgversion}-cov-core

%description
nose2 is the next generation of nicer testing for Python, based on the plugins
branch of unittest2. nose2 aims to improve on nose by:
- providing a better plugin API
- being easier for users to configure
- simplifying internal interfaces and processes
- supporting Python 2 and 3 from the same codebase, without translation
- encouraging greater community involvement in its development

In service of some those goals, some features of nose will not be supported in
nose2. See the documentation for a thorough rundown.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Next generation of nicer testing for Python
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-six >= 1.6
Requires:       python%{python3_pkgversion}-cov-core >= 1.12
Conflicts:      python2-%{srcname} < 0.7.4-3

%description -n python%{python3_pkgversion}-%{srcname}
nose2 is the next generation of nicer testing for Python, based on the plugins
branch of unittest2. nose2 aims to improve on nose by:
- providing a better plugin API
- being easier for users to configure
- simplifying internal interfaces and processes
- supporting Python 2 and 3 from the same codebase, without translation
- encouraging greater community involvement in its development

In service of some those goals, some features of nose will not be supported in
nose2. See the documentation for a thorough rundown.

%prep
%autosetup -n %{srcname}-%{version} -p1


%build
%py3_build


%install
%py3_install


%check
PYTHONPATH=`pwd` %{__python3} -m nose2.__main__ -v


%files -n python%{python3_pkgversion}-%{srcname}
%license license.txt
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/nose2-%{python3_version}
%{_bindir}/nose2

%changelog
* Thu Oct 27 2022 liyanan <liyanan32@h-partner.com> - 0.11.0-1
- Update to 0.11.0

* Mon Oct 24 2022 zhangruifang <zhangruifang1@h-partners.com> - 0.9.2-2
- delete the require on coverage

* Thu Jun 11 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.9.2-1
- build for openEuler
